[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH v2 2/4] virsh: Add --unsafe option to migrate command



On 02/22/2012 07:51 AM, Jiri Denemark wrote:
> ---
> Notes:
>     Version 2:
>     - no change
> 
>  tools/virsh.c   |    4 ++++
>  tools/virsh.pod |   10 +++++++++-
>  2 files changed, 13 insertions(+), 1 deletions(-)
> 

> @@ -802,6 +802,14 @@ is implicitly enabled when supported by the hypervisor, but can be explicitly
>  used to reject the migration if the hypervisor lacks change protection
>  support.  I<--verbose> displays the progress of migration.
>  
> +In some cases libvirt may refuse to migrate the domain because doing so may
> +lead, e.g., to data corruption and thus the migration is considered unsafe.

That doesn't flow very well.  How about:

because doing so may lead to potential problems such as data corruption,
and thus the migration is considered unsafe.

> +For QEMU domain, this may happen if the domain uses disks without explicitly
> +setting cache mode to "none". Migrating such domains is unsafe unless the disk
> +images are stored on coherent clustered filesystem, such as GFS2 or GPFS. If
> +you are sure the migration is safe or you just do not care, use I<--unsafe>
> +to force the migration.

ACK with the wording tweak.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]